[PATCH 1/2] devtools: fix check of multiple commits fixed at once

Thomas Monjalon thomas at monjalon.net
Tue Apr 18 16:07:25 CEST 2023


When looking for fixes to backport,
only the first origin commit hash (from "Fixes:") was checked.
There is very little chance that the next commits being fixed
have a wrong hash in the commit log of the fix,
but it is fixed by checking them all before proceeding further.

Fixes: 752d8e097ec1 ("scripts: show fixes with release version of bug")
Cc: stable at dpdk.org

Signed-off-by: Thomas Monjalon <thomas at monjalon.net>
---
 devtools/git-log-fixes.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/devtools/git-log-fixes.sh b/devtools/git-log-fixes.sh
index 8a4a8470c2..4690dd4545 100755
--- a/devtools/git-log-fixes.sh
+++ b/devtools/git-log-fixes.sh
@@ -68,7 +68,7 @@ origin_version () # <origin_hash> ...
 {
 	for origin in $* ; do
 		# check hash is valid
-		git rev-parse -q --verify $1 >&- || continue
+		git rev-parse -q --verify $origin >&- || continue
 		# get version of this bug origin
 		local origver=$(commit_version $origin)
 		local roothashes="$(origin_filter $origin)"
-- 
2.40.0



More information about the stable mailing list